XF Test Bench 3.3

Public Member Functions | Static Public Member Functions | Static Protected Attributes | List of all members
TestFactory01 Class Reference
First Test Project

`#include <testfactory01.h>`

Collaboration diagram for TestFactory01:

## Public Member Functions
| TestFactory01 ()
| Constructor.

## Static Public Member Functions
static void | initialize ()
| Initializes the factory.
static void | build ()
| Creates components and initializes relations.

## Static Protected Attributes
static StateMachine01 | task01_
| First instance of StateMachine01.
static StateMachine01 | task02_
| Second instance of StateMachine01.

## Detailed Description

Factory creating all objects used in test1.

The documentation for this class was generated from the following files:

- C:/Users/thomas.sterren/Desktop/PTR_XF_Release/03-release/work/test-bench/test1/src/app/testfactory01.h
- C:/Users/thomas.sterren/Desktop/PTR_XF_Release/03-release/work/test-bench/test1/src/app/testfactory01.cpp